Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0018729
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 00. Application dictionarymajoralways2011-10-07 13:132012-06-18 17:49
Reporterneil_smithView Statuspublic 
Assigned Toalostale 
PriorityhighResolutionfixedFixed in Version3.0MP13
StatusclosedFix in branchFixed in SCM revision146581313d40
ProjectionnoneETAnoneTarget Version
OSAnyDatabasePostgreSQLJava version
OS VersionDatabase version8.3.6Ant version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0018729: Translation problem - JSCompressor error

DescriptionHello!
I had a similar issue https://issues.openbravo.com/view.php?id=18274, [^] but this time, it's if I have a selector that has a translated field with a ' in the name (OBUISEL_SELECTOR_FIELD_TRL), the generated code is broken.

Error message :
2011-10-07 11:37:00,371 [http-8081-1] ERROR org.openbravo.client.kernel.JSCompressor - Unterminated string literal at line 7441 and column 0
net.matthaynes.jsmin.JSMin$UnterminatedStringLiteralException: Unterminated string literal at line 7441 and column 0
    at net.matthaynes.jsmin.JSMin.action(Unknown Source)
    at net.matthaynes.jsmin.JSMin.jsmin(Unknown Source)
    at org.openbravo.client.kernel.JSCompressor.compress(JSCompressor.java:57)
    at org.openbravo.client.kernel.ComponentGenerator.generate(ComponentGenerator.java:78)
    at org.openbravo.client.kernel.KernelServlet.processComponentRequest(KernelServlet.java:156)
    at org.openbravo.client.kernel.KernelServlet.doGet(KernelServlet.java:106)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:617)
    at org.openbravo.base.HttpBaseServlet.serviceInitialized(HttpBaseServlet.java:225)
    at org.openbravo.base.secureApp.HttpSecureAppServlet.service(HttpSecureAppServlet.java:429)
    at org.openbravo.client.kernel.BaseKernelServlet.callServiceInSuper(BaseKernelServlet.java:89)
    at org.openbravo.client.kernel.BaseKernelServlet.service(BaseKernelServlet.java:65)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.openbravo.utils.SessionExpirationFilter.doFilter(SessionExpirationFilter.java:66)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.openbravo.utils.CharsetFilter.doFilter(CharsetFilter.java:35)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.openbravo.dal.core.DalRequestFilter$1.doAction(DalRequestFilter.java:81)
    at org.openbravo.dal.core.ThreadHandler.run(ThreadHandler.java:46)
    at org.openbravo.dal.core.DalRequestFilter.doFilter(DalRequestFilter.java:103)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)
    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)
    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:128)
    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)
    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:293)
    at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:849)
    at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:583)
    at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:454)
    at java.lang.Thread.run(Unknown Source)
Steps To ReproduceChange the translation of a selector field so that it has a ' in the name and try to enter the window that uses it.
Proposed SolutionEscape the fields properly.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00182743.0MP3 closediperdomo Translation problem - JSCompressor error 

-  Notes
(0049830)
neil_smith (reporter)
2012-06-14 11:34

Any news on this issue?
(0049861)
hgbot (developer)
2012-06-15 16:34

Repository: erp/devel/pi
Changeset: 146581313d405984d3188a0ca73e603960a990ef
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Jun 15 16:33:38 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/146581313d405984d3188a0ca73e603960a990ef [^]

fixed bug 18729: Fixed javascript properties escape in selector fields

---
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/SelectorComponent.java
---
(0049862)
alostale (developer)
2012-06-15 16:34

No risky fix.

Test plan: check it is possible to name selector fields with '
(0049901)
AugustoMauch (developer)
2012-06-18 17:49

Code reviewed and verified in pi@ba2db048e983

- Issue History
Date Modified Username Field Change
2011-10-07 13:13 neil_smith New Issue
2011-10-07 13:13 neil_smith Assigned To => alostale
2011-10-07 13:13 neil_smith Modules => Core
2012-06-14 11:34 neil_smith Note Added: 0049830
2012-06-15 16:33 alostale Relationship added related to 0018274
2012-06-15 16:34 hgbot Checkin
2012-06-15 16:34 hgbot Note Added: 0049861
2012-06-15 16:34 hgbot Status new => resolved
2012-06-15 16:34 hgbot Resolution open => fixed
2012-06-15 16:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/146581313d405984d3188a0ca73e603960a990ef [^]
2012-06-15 16:34 alostale Note Added: 0049862
2012-06-18 17:49 AugustoMauch Note Added: 0049901
2012-06-18 17:49 AugustoMauch Status resolved => closed
2012-06-18 17:49 AugustoMauch Fixed in Version => 3.0MP13


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker